summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2015-08-17 23:39:41 +0300
committerAndrei Karas <akaras@inbox.ru>2015-08-18 01:20:04 +0300
commiteaca495cf99c2311bfa9ecc458f43551b511b6ed (patch)
tree6095b70656ae0a1b74c509274822c89e6158e6f4 /travis.sh
parentb7850ca10b677c4280ae8e73b8260c767875fcd4 (diff)
downloadhercules-eaca495cf99c2311bfa9ecc458f43551b511b6ed.tar.gz
hercules-eaca495cf99c2311bfa9ecc458f43551b511b6ed.tar.bz2
hercules-eaca495cf99c2311bfa9ecc458f43551b511b6ed.tar.xz
hercules-eaca495cf99c2311bfa9ecc458f43551b511b6ed.zip
Detect other sanitizer run time errors.
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/travis.sh b/travis.sh
index 31a3f330a..1b97b7666 100755
--- a/travis.sh
+++ b/travis.sh
@@ -92,7 +92,15 @@ EOF
ARGS="--load-script npc/dev/test.txt "
ARGS="--load-plugin script_mapquit $ARGS --load-script npc/dev/ci_test.txt"
echo "Running Hercules with command line: ./map-server --run-once $ARGS"
- ./map-server --run-once $ARGS || aborterror "Test failed."
+ ASAN_OPTIONS=detect_leaks=0 ./map-server --run-once $ARGS 2>runlog.txt || aborterror "Test failed."
+ export teststr=$(cat runlog.txt)
+ if [[ -n "${teststr}" ]]; then
+ echo "Sanitizer errors found."
+ cat runlog.txt
+ aborterror "Sanitize errors found."
+ else
+ echo "No sanitizer errors found."
+ fi
;;
getplugins)
echo "Cloning plugins repository..."